# Tests if vector can be interpreted as numeric without introducing NAs by coercion — possibly_numeric • REDCapCAST
Tests if vector can be interpreted as numeric without introducing NAs by coercion

Skip to contents

# Tests if vector can be interpreted as numeric without introducing NAs by coercion

Source: `R/as_factor.R`
`possibly_numeric.Rd`

Tests if vector can be interpreted as numeric without introducing NAs by coercion

## Usage

    possibly_numeric(data)

## Arguments

data

  vector

## Value

logical

## Examples

    c("1","5") |> possibly_numeric()
    #> [1] TRUE
    c("1","5","e") |> possibly_numeric()
    #> [1] FALSE